Subject: Re: linux-next: build failure after merge of the drm-xe tree

From: Jani Nikula <[email-masked]>
Date: Thu, 19 Mar 2026 11:00:00 +0200

On Thu, 19 Mar 2026, Jani Nikula <[email-masked]> wrote:
> On Mon, 16 Mar 2026, Mark Brown <[email-masked]> wrote:
>> On Fri, Mar 13, 2026 at 03:57:12PM +0200, Jani Nikula wrote:
>>> On Thu, 12 Mar 2026, Lionel Landwerlin <[email-masked]> wrote:
>>> > Is there no process to deal with kind of merge issues quickly?
>>
>>> For us the main part of the process is: If the patch doesn't build after
>>> applying, talk to the maintainers to get the merges and backmerges going
>>> *before* pushing, *not* after.
>>
>>> Similar to linux-next, drm-tip is the early signal there's a
>>> conflict. If you develop on top of drm-tip, you'll find out about the
>>> conflicts when applying to the individual branches.
>>
>>> I'll try to get a drm-intel-next pull request going today, or Monday at
>>> the latest. Lots of changelog to write. Then it's drm-intel-next ->
>>> drm-next -> drm-xe-next merges/backmerges that need to happen.
>>
>> Any news on this?  We now have issues with the main drm tree interacting
>> with drm-intel due to this change.
>
> Matthew, please do the drm-intel -> drm-xe-next backmerge, and ensure
> the merge commit builds.

Argh, obviously drm-next -> drm-xe-next, *not* cross-merges between
Intel trees. *facepalm*.

-- 
Jani Nikula, Intel